import type { MarkType } from 'prosemirror-model';
import type { ActionSpec, ExtensionDeps } from "../../../../core/index.js";
export type LinkActionParams = {
    href: string;
    title?: string;
    text?: string;
};
export type LinkActionMeta = {
    hasSelection: boolean;
    text(): string;
};
export declare function linkCommand(markType: MarkType, deps: ExtensionDeps): ActionSpec;
